# evennia.server.portal.suppress_ga

SUPPRESS-GO-AHEAD

This supports suppressing or activating Evennia the GO-AHEAD telnet operation after every server reply. If the client sends no explicit DONT SUPRESS GO-AHEAD, Evennia will default to supressing it since many clients will fail to use it and has no knowledge of this standard.

It is set as the NOGOAHEAD protocol_flag option.

http://www.faqs.org/rfcs/rfc858.html

class `evennia.server.portal.suppress_ga.``SuppressGA`(protocol)

  Bases: `object`

  Implements the SUPRESS-GO-AHEAD protocol. Add this to a variable on the telnet protocol to set it up.

  `__init__`(protocol)

    Initialize suppression of GO-AHEADs.

    Parameters

      protocol (Protocol) – The active protocol instance.

  `wont_suppress_ga`(option)

    Called when client requests to not suppress GA.

    Parameters

      option (Option) – Not used.

  `will_suppress_ga`(option)

    Client will suppress GA

    Parameters

      option (Option) – Not used.